//----------------------------------------------------------------------
//
//  FILE:   TempFile.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Temporary file handling for MOTIF benchmark plot generation classes.
//
//----------------------------------------------------------------------

#ifndef _H_TEMP_FILE_
#define _H_TEMP_FILE_

//----------------------------------------------------------------------
//
//  HEADER FILES
//

// Standard headers.

#include <string>

using namespace std;


//----------------------------------------------------------------------
//
//  CLASS DEFINITION
//

namespace TempFile {
  string get(string suffix);
  string get(string suffix, string command);
  void clean(void);
};

#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
