//----------------------------------------------------------------------
//
//  FILE:   ZonalPrecipData.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Class for MOTIF benchmark precipitation plot generation.
//
//----------------------------------------------------------------------

#ifndef _H_ZONAL_PRECIP_DATA_
#define _H_ZONAL_PRECIP_DATA_

//----------------------------------------------------------------------
//
//  HEADER FILES
//

// Standard headers.

#include <cstdio>

using namespace std;


// Local headers.

#include "BenchmarkPlot.hh"


//----------------------------------------------------------------------
//
//  CLASS DEFINITION
//

class ZonalPrecipData : public BenchmarkPlot {
public:

  ZonalPrecipData(string model, const PlotSetup &setup);
  virtual ~ZonalPrecipData() { }

  virtual void plot(void);

private:

  string _plot_data_file;
};

#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
