//----------------------------------------------------------------------
//
//  FILE:   simple_types.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Simple type definitions for MOTIF benchmarking tools.
//
//----------------------------------------------------------------------

#ifndef _H_SIMPLE_TYPES_
#define _H_SIMPLE_TYPES_

//----------------------------------------------------------------------
//
//  TYPE DEFINITIONS
//

// All possible MOTIF runs.

enum ModelRun { INVALID, OA_0K, OAV_0K, OA_6K, OAV_6K, OA_21K, OAV_21K };


// Variable domains.

enum Domain { ATMOS, OCEAN, SURFACE, ICE };


// Model output frequencies.

enum OutputFreq { DAILY, MONTHLY, SEASONAL, ANNUAL, FIXED };


#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
